Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.imagemap
Class ImageMapState

    java.lang.Object
      java.util.Observable
          edu.stanford.smi.protegex.widget.imagemap.ImageMapState

    public class ImageMapState

extends Observable

All the configurable state for an ImageMapToSymbolWidget is stored here. To make a domain dependent image map, you simply need to subclass ImageMapToSymbolWidget and override the default constructor to use a different state object. Note that this object will change when edu.stanford.smi.protege.util.FileUtilies evolves. In particular, we should be handling the image location in a more elegant fashion.

Author:
  William Grosso

Constructor Summary
`ImageMapState(ImageMapWidget owner)`

Method Summary
`void` | `dispose()`
`Collection` | `getAllRectangles()`
`Image` | `getAssociatedImage()`
`URI` | `getImageLocation()`
`int` | `getLineThickness()`
`int` | `getLineThicknessMaximum()`
`int` | `getLineThicknessMinimum()`
`Rectangle` | `getLogicalCoordinateSystem()`
`ImageMapWidget` | `getOwner()`
`Rectangle` | `getRectangleForSymbol(String symbol)`
`Color` | `getSelectionColor()`
`boolean` | `getShowSelectedRectanglesDuringKA()`
`boolean` | `getShowTooltips()`
`String` | `getSymbolForRectangle(Rectangle rect)`
`Color` | `getTooltipColor()`
`void` | `restore()`
`void` | `save()`
`void` | `setImageLocation(URI imageLocation)`
`void` | `setLineThickness(int lineThickness)`
`void` | `setLogicalCoordinateSystem(Rectangle logicalCoordinateSystem)`
`void` | `setOwner(ImageMapWidget owner)`
`void` | `setRectangleForSymbol(Rectangle rectangle, String symbol)`
`void` | `setSelectionColor(Color selectionColor)`
`void` | `setShowSelectedRectanglesDuringKA(boolean showSelectedRectanglesDuringKA)`
`void` | `setShowTooltips(boolean showTooltips)`
`void` | `setSymbolForRectangle(String symbol, Rectangle rectangle)`
`void` | `setTooltipColor(Color tooltipColor)`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageMapState

    public ImageMapState(ImageMapWidget owner)

Method Detail

### dispose

    public void dispose()

### getAllRectangles

    public Collection getAllRectangles()

### getAssociatedImage

    public Image getAssociatedImage()

### getImageLocation

    public URI getImageLocation()

### getLineThickness

    public int getLineThickness()

### getLineThicknessMaximum

    public int getLineThicknessMaximum()

### getLineThicknessMinimum

    public int getLineThicknessMinimum()

### getLogicalCoordinateSystem

    public Rectangle getLogicalCoordinateSystem()

### getOwner

    public ImageMapWidget getOwner()

### getRectangleForSymbol

    public Rectangle getRectangleForSymbol(String symbol)

### getSelectionColor

    public Color getSelectionColor()

### getShowSelectedRectanglesDuringKA

    public boolean getShowSelectedRectanglesDuringKA()

### getShowTooltips

    public boolean getShowTooltips()

### getSymbolForRectangle

    public String getSymbolForRectangle(Rectangle rect)

### getTooltipColor

    public Color getTooltipColor()

### restore

    public void restore()

### save

    public void save()

### setImageLocation

    public void setImageLocation(URI imageLocation)

### setLineThickness

    public void setLineThickness(int lineThickness)

### setLogicalCoordinateSystem

    public void setLogicalCoordinateSystem(Rectangle logicalCoordinateSystem)

### setOwner

    public void setOwner(ImageMapWidget owner)

### setRectangleForSymbol

    public void setRectangleForSymbol(Rectangle rectangle,
                                      String symbol)

### setSelectionColor

    public void setSelectionColor(Color selectionColor)

### setShowSelectedRectanglesDuringKA

    public void setShowSelectedRectanglesDuringKA(boolean showSelectedRectanglesDuringKA)

### setShowTooltips

    public void setShowTooltips(boolean showTooltips)

### setSymbolForRectangle

    public void setSymbolForRectangle(String symbol,
                                      Rectangle rectangle)

### setTooltipColor

    public void setTooltipColor(Color tooltipColor)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request